var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as React from "react";
import { ChartRenderer } from "./ChartRenderer";
import { getChartType } from "./utils/getChartType";
var ChartFromDataTable = /** @class */ (function (_super) {
    __extends(ChartFromDataTable, _super);
    function ChartFromDataTable() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ChartFromDataTable.prototype.componentDidUpdate = function () {
        var _a = this.props, options = _a.options, dataTable = _a.dataTable;
        try {
            if (this.chartWrapper) {
                this.chartWrapper.setDataTable(dataTable);
                this.chartWrapper.setOptions(options);
                this.chartWrapper.draw();
            }
        }
        catch (err) {
            console.error("Error in ChartFromDataTable on componentDidUpdate:  " + err.message);
        }
    };
    ChartFromDataTable.prototype.render = function () {
        var _this = this;
        var _a = this.props, type = _a.type, options = _a.options;
        var chartType = getChartType(type);
        return (React.createElement(ChartRenderer, { type: chartType, onReady: function (chartWrapper) {
                var dataTable = _this.props.dataTable;
                chartWrapper.setOptions(options);
                chartWrapper.setDataTable(dataTable);
                _this.chartWrapper = chartWrapper;
            } }));
    };
    return ChartFromDataTable;
}(React.Component));
export { ChartFromDataTable };
