var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as React from "react";
import { ChartRenderer } from "./ChartRenderer";
import { generateID } from "./utils/generateID";
import { getChartType } from "./utils/getChartType";
import { getDataTableArrayFromDataPoints } from "./utils/getDataTableArrayFromDataPoints";
var ChartFromPoints = /** @class */ (function (_super) {
    __extends(ChartFromPoints, _super);
    function ChartFromPoints(props) {
        var _this = _super.call(this, props) || this;
        var _a = props.containerId, containerId = _a === void 0 ? null : _a;
        _this.containerId =
            containerId !== null ? containerId : "google_chart_" + generateID();
        return _this;
    }
    ChartFromPoints.prototype.render = function () {
        var _this = this;
        var _a = this.props, type = _a.type, _b = _a.points, points = _b === void 0 ? [] : _b, options = _a.options, onReady = _a.onReady, onError = _a.onError, onSelect = _a.onSelect;
        var chartType = getChartType(type);
        var dataTable = getDataTableArrayFromDataPoints(points).dataTable;
        return (React.createElement(ChartRenderer, { type: chartType, onReady: function (chartWrapper) {
                chartWrapper.setOptions(options);
                chartWrapper.setDataTable(dataTable);
                _this.chartWrapper = chartWrapper;
            } }));
    };
    ChartFromPoints.defaultProps = {
        type: "ScatterChart",
        points: [],
        options: {
            width: 800,
            height: 400,
            title: ""
        },
        onReady: function () { },
        onError: function () { },
        onSelect: function () { }
    };
    return ChartFromPoints;
}(React.Component));
export { ChartFromPoints };
