/// <reference types="react" />
import * as React from "react";
import { GoogleDataTable, GoogleArrayToDataTable, GoogleChartWrapper } from "./types";
export declare type ChartProps = {
    type: string;
    options?: {
        width?: number;
        height?: number;
        title?: string;
    };
    points?: {
        x: any;
        y: any;
        label: any;
        type: string;
    }[];
    containerId?: string;
    onReady?: () => any;
    onError?: () => any;
    onSelect?: (selection: any) => any;
};
export declare type ChartRendererProps = {
    type: string;
    options?: {
        width?: number;
        height?: number;
        title?: string;
    };
    containerId?: string;
    onReady?: (chartWrapper: GoogleChartWrapper, chartDataTable: GoogleDataTable, arrayToDataTable: GoogleArrayToDataTable) => any;
    onError?: () => any;
    onSelect?: (selection: any) => any;
};
export declare class ChartRenderer extends React.Component<ChartRendererProps, {}> {
    containerId: string;
    static defaultProps: {
        type: string;
    };
    constructor(props: ChartProps);
    shouldComponentUpdate(): boolean;
    render(): JSX.Element;
}
