var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as React from "react";
import { GoogleChartLoader } from "./GoogleChartLoader";
import { ChartWrapper } from "./google-visualization/ChartWrapper";
import { GoogleChartPackages } from "./types";
import { ensureFunction } from "./utils/ensureFunction";
import { generateID } from "./utils/generateID";
import { getChartType } from "./utils/getChartType";
var ChartRenderer = /** @class */ (function (_super) {
    __extends(ChartRenderer, _super);
    function ChartRenderer(props) {
        var _this = _super.call(this, props) || this;
        var _a = props.containerId, containerId = _a === void 0 ? null : _a;
        _this.containerId =
            containerId !== null ? containerId : "google_chart_" + generateID();
        return _this;
    }
    ChartRenderer.prototype.shouldComponentUpdate = function () {
        return false;
    };
    ChartRenderer.prototype.render = function () {
        var _this = this;
        var packages = [GoogleChartPackages.corechart];
        var _a = this.props, type = _a.type, options = _a.options, onReady = _a.onReady;
        var vOnReady = ensureFunction(onReady);
        var chartType = getChartType(type);
        return (React.createElement("div", { id: this.containerId },
            React.createElement(GoogleChartLoader, { packages: packages, render: function () { return (React.createElement(ChartWrapper, { chartType: chartType, containerId: _this.containerId, options: options, onReady: function (chartWrapper, chartDataTable, arrayToDataTable) {
                        vOnReady(chartWrapper, chartDataTable, arrayToDataTable);
                    }, render: function () {
                        return null;
                    } })); } })));
    };
    ChartRenderer.defaultProps = {
        type: "ScatterChart"
    };
    return ChartRenderer;
}(React.Component));
export { ChartRenderer };
