/// <reference types="react" />
import * as React from "react";
import { GoogleChartLoaderProps, GoogleChartLoaderPropsAndState, GoogleChartLoaderState } from "./types";
declare class GoogleChartLoader extends React.Component<GoogleChartLoaderProps, GoogleChartLoaderState> {
    static defaultProps: {
        window: {};
        packages: string[];
        version: string;
        language: string;
        mapsApiKey: null;
        renderLoader: ({ props, state }: GoogleChartLoaderPropsAndState) => JSX.Element;
        render: ({ props, state }: GoogleChartLoaderPropsAndState) => JSX.Element;
        renderError: ({ props, state }: GoogleChartLoaderPropsAndState) => JSX.Element;
    };
    state: {
        isLoaded: boolean;
        isLoading: boolean;
        hasErrored: boolean;
        errorMessage: string;
    };
    loadGoogleCharts: () => Promise<{}>;
    handleError: (errorMessage?: string) => void;
    componentDidMount(): void;
    render(): null;
}
export { GoogleChartLoader };
export default GoogleChartLoader;
