var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = y[op[0] & 2 ? "return" : op[0] ? "throw" : "next"]) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [0, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
import * as React from "react";
import { loadGoogleScripts } from "./loadGoogleScripts";
import { isFunction } from "./utils/isFunction";
var ensureFunction = function (maybeFunction) {
    if (maybeFunction === void 0) { maybeFunction = function (a) { return null; }; }
    return isFunction(maybeFunction) ? maybeFunction : function (a) { return null; };
};
var GoogleChartLoader = /** @class */ (function (_super) {
    __extends(GoogleChartLoader, _super);
    function GoogleChartLoader() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            isLoaded: false,
            isLoading: false,
            hasErrored: false,
            errorMessage: ""
        };
        _this.loadGoogleCharts = function () { return __awaiter(_this, void 0, void 0, function () {
            var _a, version, language, packages, mapsApiKey, window;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        _a = this.props, version = _a.version, language = _a.language, packages = _a.packages, mapsApiKey = _a.mapsApiKey, window = _a.window;
                        return [4 /*yield*/, loadGoogleScripts({ window: window })];
                    case 1:
                        _b.sent();
                        return [2 /*return*/, new Promise(function (resolve) {
                                window.google.charts.load(version, {
                                    language: language,
                                    packages: packages,
                                    mapsApiKey: mapsApiKey,
                                    callback: resolve
                                });
                            })];
                }
            });
        }); };
        _this.handleError = function (errorMessage) {
            if (errorMessage === void 0) { errorMessage = ""; }
            var _a = _this.props.renderError, renderError = _a === void 0 ? function () { return null; } : _a;
            _this.setState({
                isLoading: false,
                hasErrored: true,
                errorMessage: "Error in GoogleChartLoader : " + errorMessage
            });
            renderError({ props: _this.props, state: _this.state });
        };
        return _this;
    }
    GoogleChartLoader.prototype.componentDidMount = function () {
        var _this = this;
        var window = this.props.window;
        this.setState({ isLoading: true });
        loadGoogleScripts({ window: window })
            .then(function () {
            return _this.loadGoogleCharts();
        })
            .then(function () {
            _this.setState({ isLoading: false, isLoaded: true });
        })
            .catch(function (err) {
            _this.handleError(err.message);
        });
    };
    GoogleChartLoader.prototype.render = function () {
        var _a = this, props = _a.props, state = _a.state;
        var isLoading = state.isLoading, hasErrored = state.hasErrored, isLoaded = state.isLoaded;
        var renderLoader = props.renderLoader, renderError = props.renderError, render = props.render, children = props.children;
        var vRenderLoader = ensureFunction(renderLoader);
        var vRenderError = ensureFunction(renderError);
        var vRender = ensureFunction(render);
        var vChildren = ensureFunction(children);
        return isLoading
            ? vRenderLoader({ props: props, state: state })
            : hasErrored
                ? vRenderError({ props: props, state: state })
                : isLoaded
                    ? vChildren({ props: props, state: state }) || vRender({ props: props, state: state })
                    : vRenderError({ props: props, state: state });
    };
    GoogleChartLoader.defaultProps = {
        window: typeof window === "undefined" /* node env next (ssr) */ ? {} : window,
        packages: ["corechart"],
        version: "current",
        language: "en",
        mapsApiKey: null,
        renderLoader: function (_a) {
            var props = _a.props, state = _a.state;
            return (React.createElement("div", null, "Loading Chart."));
        },
        render: function (_a) {
            var props = _a.props, state = _a.state;
            return (React.createElement("div", null, " Chart "));
        },
        renderError: function (_a) {
            var props = _a.props, state = _a.state;
            return (React.createElement("div", null, "'Error Loading Chart'"));
        }
    };
    return GoogleChartLoader;
}(React.Component));
export { GoogleChartLoader };
export default GoogleChartLoader;
