var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as React from "react";
import { isFunction } from "../utils/isFunction";
import { ensureFunction } from "../utils/ensureFunction";
import { GoogleChartWrapperChartType } from "../types";
var ChartWrapper = /** @class */ (function (_super) {
    __extends(ChartWrapper, _super);
    function ChartWrapper(props) {
        var _this = _super.call(this, props) || this;
        // this.chartWrapper = {} as GoogleChartWrapper
        var _a = _this.props, chartType = _a.chartType, dataTable = _a.dataTable, options = _a.options, containerId = _a.containerId, onReady = _a.onReady;
        if ("google" in window === false) {
            console.error("ChartWrapper was rendered before google was loaded in window");
            return _this;
        }
        // @ts-ignore
        _this.chartWrapper = new window.google.visualization.ChartWrapper({
            chartType: chartType,
            dataTable: dataTable,
            options: options,
            containerId: containerId
        });
        var vOnReady = ensureFunction(onReady);
        // @ts-ignore
        _this.arrayToDataTable = window.google.visualization.arrayToDataTable;
        vOnReady(_this.chartWrapper, _this.chartWrapper.getDataTable(), _this.arrayToDataTable);
        return _this;
    }
    ChartWrapper.prototype.componentDidCatch = function () {
        console.warn("Error");
    };
    ChartWrapper.prototype.componentDidMount = function () {
        console.log("Mounting ChartWrapper");
        this.chartWrapper.draw();
    };
    ChartWrapper.prototype.componentDidUpdate = function () {
        console.log("Updating ChartWrapper");
        // const { chartType, options, containerId } = this.props;
        // this.chartWrapper.setChartType(chartType);
        // this.chartWrapper.setContainerId(containerId as string);
        // this.chartWrapper.setOptions(options);
        // this.chartWrapper.draw();
    };
    ChartWrapper.prototype.render = function () {
        var _a = this.props, _b = _a.render, render = _b === void 0 ? function () { return null; } : _b, children = _a.children;
        var childrenRenderer = (isFunction(children) ? children : render);
        return [
            React.createElement("div", { id: "" + this.props.containerId, key: "CHART_" + this.props.containerId }),
            React.createElement("div", { id: "META_CHART_" + this.props.containerId, key: "META_CHART_" + this.props.containerId }, childrenRenderer(this.props, this.chartWrapper, this.arrayToDataTable))
        ];
    };
    ChartWrapper.defaultProps = {
        chartType: GoogleChartWrapperChartType.ColumnChart,
        dataTable: [[]],
        options: {},
        dataSourceUrl: "",
        query: "",
        refreshInterval: "",
        view: null,
        render: function () { return null; },
        children: null,
        onReady: function (chartWrapper, dataTable) { }
    };
    return ChartWrapper;
}(React.Component));
export { ChartWrapper };
export default ChartWrapper;
