var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as React from "react";
import { GoogleVizEventName } from "../types";
var VizEvents = /** @class */ (function (_super) {
    __extends(VizEvents, _super);
    function VizEvents(props) {
        var _this = _super.call(this, props) || this;
        _this.chartWrapper = {};
        return _this;
    }
    VizEvents.prototype.componentDidMount = function () {
        this.unbindVizEvents();
        this.bindVizEvents();
    };
    VizEvents.prototype.componentDidUpdate = function () {
        this.unbindVizEvents();
        this.bindVizEvents();
    };
    VizEvents.prototype.componentWillUnmount = function () {
        this.unbindVizEvents();
    };
    VizEvents.prototype.render = function () {
        var _a = this.props.render, render = _a === void 0 ? function () { return null; } : _a;
        // const childrenRenderer = isFunction(children) ? children : render;
        return render(this.props, this.chartWrapper);
    };
    VizEvents.prototype.unbindVizEvents = function () {
        var chartWrapper = this.props.chartWrapper;
        if (chartWrapper === null)
            return;
        if (!("google" in window))
            return;
        // @ts-ignore
        var viz = window.google.visualization.events;
        viz.removeAllListeners(chartWrapper);
    };
    VizEvents.prototype.bindVizEvents = function () {
        var _a = this.props, chartWrapper = _a.chartWrapper, _b = _a.onReady, onReady = _b === void 0 ? function () { } : _b, _c = _a.onError, onError = _c === void 0 ? function () { } : _c, _d = _a.onSelect, onSelect = _d === void 0 ? function () { } : _d;
        if (chartWrapper === null)
            return;
        if (!("google" in window))
            return;
        // @ts-ignore
        var viz = window.google.visualization.events;
        // viz.removeAllListeners(chartWrapper)
        if (onReady !== null) {
            viz.addListener(chartWrapper, GoogleVizEventName.ready, function () {
                onReady(chartWrapper);
            });
        }
        if (onError !== null) {
            viz.addListener(chartWrapper, GoogleVizEventName.error, function () {
                onError(chartWrapper);
            });
        }
        if (onSelect !== null) {
            viz.addListener(chartWrapper, GoogleVizEventName.select, function () {
                onSelect(chartWrapper.getChart().getSelection());
            });
        }
    };
    VizEvents.defaultProps = {
        chartWrapper: {},
        onReady: function () { return null; },
        onError: function () { return null; },
        onSelect: function () { return null; },
        render: function () {
            return null;
        },
        children: null
    };
    return VizEvents;
}(React.Component));
export { VizEvents };
export default VizEvents;
