import { indexBy } from "./indexBy";
import { padRight } from "./padRight";
export var getDataTableArrayFromDataPoints = function (points) {
    // const pointsIndexedByY = indexBy(points, "y");
    var pointsIndexedByX = indexBy(points, "x");
    var pointsIndexedByLabel = indexBy(points, "label");
    var rows = Array.from(pointsIndexedByX.keys()).map(function (x, i) {
        var points = pointsIndexedByX.get(x);
        return [x].concat(points.map(function (point) { return point.y; }));
    });
    var longestRowLength = rows.reduce(function (previousMax, cur) {
        var thisRowLength = cur.length;
        return thisRowLength > previousMax ? thisRowLength : previousMax;
    }, 0);
    // Pad smaller rows with null
    rows = rows.map(function (row) { return padRight(row, longestRowLength); });
    var columns = [
        ""
    ].concat(Array.from(pointsIndexedByLabel.keys()).map(function (label, i) {
        var points = pointsIndexedByLabel.get(label);
        return { label: label, type: points[0].type };
    }));
    return { rows: rows, columns: columns, dataTable: [columns].concat(rows) };
};
